/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.testbug.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.util.Date;


/**
 * 缺陷管理
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-12-09 10:41:45  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "缺陷管理")
public class BugManagement extends TenantPartition implements Entity
{
  public static final String KEY_bugId = "bugId";
  public static final String KEY_bugTitle = "bugTitle";
  public static final String KEY_bugGrade = "bugGrade";
  public static final String KEY_bugType = "bugType";
  public static final String KEY_bugOrder = "bugOrder";
  public static final String KEY_bugFrom = "bugFrom";
  public static final String KEY_emergency = "emergency";
  public static final String KEY_isReappear = "isReappear";
  public static final String KEY_bugStatus = "bugStatus";
  public static final String KEY_receiver = "receiver";
  public static final String KEY_repairTime = "repairTime";
  public static final String KEY_repairUser = "repairUser";
  public static final String KEY_closeTime = "closeTime";
  public static final String KEY_errorMessage = "errorMessage";
  public static final String KEY_expands = "expands";
  public static final String KEY_message = "message";
  public static final String KEY_systemId = "systemId";
  public static final String KEY_roundId = "roundId";
  public static final String KEY_moduleId = "moduleId";
  public static final String KEY_caseNum = "caseNum";
  public static final String KEY_proId = "proId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_orderSeq = "orderSeq";
  public static final String KEY_userDefinedIdx1 = "userDefinedIdx1";
  public static final String KEY_userDefinedIdx2 = "userDefinedIdx2";
  public static final String KEY_userDefinedIdx3 = "userDefinedIdx3";
  public static final String KEY_userDefinedIdx4 = "userDefinedIdx4";
  public static final String KEY_userDefinedIdx5 = "userDefinedIdx5";
  public static final String KEY_userDefinedIdx6 = "userDefinedIdx6";
  public static final String KEY_userDefinedIdx7 = "userDefinedIdx7";
  public static final String KEY_userDefinedIdx8 = "userDefinedIdx8";
  public static final String KEY_userDefinedIdx9 = "userDefinedIdx9";
  public static final String KEY_userDefinedIdx10 = "userDefinedIdx10";
  public static final String KEY_userDefinedIdx11 = "userDefinedIdx11";
  public static final String KEY_userDefinedIdx12 = "userDefinedIdx12";
  public static final String KEY_userDefinedIdx13 = "userDefinedIdx13";
  public static final String KEY_userDefinedIdx14 = "userDefinedIdx14";
  public static final String KEY_userDefinedIdx15 = "userDefinedIdx15";
  public static final String KEY_userDefinedIdx16 = "userDefinedIdx16";
  public static final String KEY_userDefinedIdx17 = "userDefinedIdx17";
  public static final String KEY_userDefinedIdx18 = "userDefinedIdx18";
  public static final String KEY_userDefinedIdx19 = "userDefinedIdx19";
  public static final String KEY_userDefinedIdx20 = "userDefinedIdx20";

  /**
   * 缺陷id<br>
   */
  @ApiModelProperty("缺陷id")
  @Size(max = 32, message="缺陷id-bugId: 数据长度不能 > 32" )
  private String bugId;
  /**
   * 缺陷标题<br>
   */
  @ApiModelProperty("缺陷标题")
  @Size(max = 255, message="缺陷标题-bugTitle: 数据长度不能 > 255" )
  private String bugTitle;
  /**
   * 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类
<br>
   */
  @ApiModelProperty("严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类 ")
  @Size(max = 1, message="严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类 -bugGrade: 数据长度不能 > 1" )
  private String bugGrade;
  /**
   * 缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷<br>
   */
  @ApiModelProperty("缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷")
  @Size(max = 50, message="缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷-bugType: 数据长度不能 > 50" )
  private String bugType;
  /**
   * 缺陷编码<br>
   */
  @ApiModelProperty("缺陷编码")
  @Size(max = 50, message="缺陷编码-bugOrder: 数据长度不能 > 50" )
  private String bugOrder;
  /**
   * 缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交<br>
   */
  @ApiModelProperty("缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交")
  @Size(max = 2, message="缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交-bugFrom: 数据长度不能 > 2" )
  private String bugFrom;
  /**
   * 紧急程度：1.高、2.中、3.低<br>
   */
  @ApiModelProperty("紧急程度：1.高、2.中、3.低")
  @Size(max = 1, message="紧急程度：1.高、2.中、3.低-emergency: 数据长度不能 > 1" )
  private String emergency;
  /**
   * 可重现：Y是、N否<br>
   */
  @ApiModelProperty("可重现：Y是、N否")
  @Size(max = 1, message="可重现：Y是、N否-isReappear: 数据长度不能 > 1" )
  private String isReappear;
  /**
   * 缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核<br>
   */
  @ApiModelProperty("缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核")
  @Size(max = 50, message="缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核-bugStatus: 数据长度不能 > 50" )
  private String bugStatus;
  /**
   * 分配给，缺陷接收人<br>
   */
  @ApiModelProperty("分配给，缺陷接收人")
  @Size(max = 32, message="分配给，缺陷接收人-receiver: 数据长度不能 > 32" )
  private String receiver;
  /**
   * 修复时间<br>
   */
  @ApiModelProperty("修复时间")
  private Date repairTime;
  /**
   * 修复人<br>
   */
  @ApiModelProperty("修复人")
  @Size(max = 32, message="修复人-repairUser: 数据长度不能 > 32" )
  private String repairUser;
  /**
   * 关闭日期<br>
   */
  @ApiModelProperty("关闭日期")
  private Date closeTime;
  /**
   * 错误信息描述<br>
   */
  @ApiModelProperty("错误信息描述")
  @Size(max = 65535, message="错误信息描述-errorMessage: 数据长度不能 > 65535" )
  private String errorMessage;
  /**
   * 自定义字段<br>
   */
  @ApiModelProperty("自定义字段")
  @Size(max = 65535, message="自定义字段-expands: 数据长度不能 > 65535" )
  private String expands;
  /**
   * 注释<br>
   */
  @ApiModelProperty("注释")
  @Size(max = 65535, message="注释-message: 数据长度不能 > 65535" )
  private String message;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 50, message="系统id-systemId: 数据长度不能 > 50" )
  private String systemId;
  /**
   * 轮次id<br>
   */
  @ApiModelProperty("轮次id")
  @Size(max = 50, message="轮次id-roundId: 数据长度不能 > 50" )
  private String roundId;
  /**
   * 模块id<br>
   */
  @ApiModelProperty("模块id")
  @Size(max = 50, message="模块id-moduleId: 数据长度不能 > 50" )
  private String moduleId;
  /**
   * 关联用例数<br>
   */
  @ApiModelProperty("关联用例数")
  private Integer caseNum;
  /**
   * 项目id<br>
   */
  @ApiModelProperty("项目id")
  @Size(max = 32, message="项目id-proId: 数据长度不能 > 32" )
  private String proId;
  /**
   * 创建发现人<br>
   */
  @ApiModelProperty("创建发现人")
  @Size(max = 32, message="创建发现人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 50, message="更新人-updatedBy: 数据长度不能 > 50" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 50, message="租户id-tenantId: 数据长度不能 > 50" )
  private String tenantId;

  /**
   * 排序<br>
   */
  @ApiModelProperty("排序")
  private Integer orderSeq;

  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx1: 数据长度不能 > 1000" )
  private String userDefinedIdx1;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx2: 数据长度不能 > 1000" )
  private String userDefinedIdx2;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx3: 数据长度不能 > 1000" )
  private String userDefinedIdx3;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx4: 数据长度不能 > 1000" )
  private String userDefinedIdx4;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx5: 数据长度不能 > 1000" )
  private String userDefinedIdx5;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx6: 数据长度不能 > 1000" )
  private String userDefinedIdx6;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx7: 数据长度不能 > 1000" )
  private String userDefinedIdx7;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx8: 数据长度不能 > 1000" )
  private String userDefinedIdx8;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx9: 数据长度不能 > 1000" )
  private String userDefinedIdx9;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx10: 数据长度不能 > 1000" )
  private String userDefinedIdx10;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx11: 数据长度不能 > 1000" )
  private String userDefinedIdx11;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx12: 数据长度不能 > 1000" )
  private String userDefinedIdx12;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx13: 数据长度不能 > 1000" )
  private String userDefinedIdx13;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx14: 数据长度不能 > 1000" )
  private String userDefinedIdx14;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx15: 数据长度不能 > 1000" )
  private String userDefinedIdx15;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx16: 数据长度不能 > 1000" )
  private String userDefinedIdx16;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx17: 数据长度不能 > 1000" )
  private String userDefinedIdx17;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx18: 数据长度不能 > 1000" )
  private String userDefinedIdx18;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx19: 数据长度不能 > 1000" )
  private String userDefinedIdx19;
  /**
   * <br>
   */
  @ApiModelProperty("")
  @Size(max = 1000, message="-userDefinedIdx20: 数据长度不能 > 1000" )
  private String userDefinedIdx20;

  /**
   * 缺陷id<br>
   */
  public String getBugId()
  {
      return bugId;
    }

  /**
   * 缺陷id<br>
   *
   * @param bugId 缺陷id
   */
  public void setBugId(String bugId)
  {
      this.bugId = bugId;
    }
  /**
   * 缺陷标题<br>
   */
  public String getBugTitle()
  {
      return bugTitle;
    }

  /**
   * 缺陷标题<br>
   *
   * @param bugTitle 缺陷标题
   */
  public void setBugTitle(String bugTitle)
  {
      this.bugTitle = bugTitle;
    }
  /**
   * 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类
<br>
   */
  public String getBugGrade()
  {
      return bugGrade;
    }

  /**
   * 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类
<br>
   *
   * @param bugGrade 严重程度:   建议性错误-E类、警告性错误-D类、一般性错误-C类、严重性错误-B类、致命性错误-A类

   */
  public void setBugGrade(String bugGrade)
  {
      this.bugGrade = bugGrade;
    }
  /**
   * 缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷<br>
   */
  public String getBugType()
  {
      return bugType;
    }

  /**
   * 缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷<br>
   *
   * @param bugType 缺陷分类:  1.需求缺陷、2.设计缺陷、3.编码缺陷、4.UI缺陷、5.兼容性缺陷、6.环境缺陷、7.用户体验、8移植缺陷
   */
  public void setBugType(String bugType)
  {
      this.bugType = bugType;
    }
  /**
   * 缺陷编码<br>
   */
  public String getBugOrder()
  {
      return bugOrder;
    }

  /**
   * 缺陷编码<br>
   *
   * @param bugOrder 缺陷编码
   */
  public void setBugOrder(String bugOrder)
  {
      this.bugOrder = bugOrder;
    }
  /**
   * 缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交<br>
   */
  public String getBugFrom()
  {
      return bugFrom;
    }

  /**
   * 缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交<br>
   *
   * @param bugFrom 缺陷来源：1.手动提交,2.自动化提交,3.测试执行提交
   */
  public void setBugFrom(String bugFrom)
  {
      this.bugFrom = bugFrom;
    }
  /**
   * 紧急程度：1.高、2.中、3.低<br>
   */
  public String getEmergency()
  {
      return emergency;
    }

  /**
   * 紧急程度：1.高、2.中、3.低<br>
   *
   * @param emergency 紧急程度：1.高、2.中、3.低
   */
  public void setEmergency(String emergency)
  {
      this.emergency = emergency;
    }
  /**
   * 可重现：Y是、N否<br>
   */
  public String getIsReappear()
  {
      return isReappear;
    }

  /**
   * 可重现：Y是、N否<br>
   *
   * @param isReappear 可重现：Y是、N否
   */
  public void setIsReappear(String isReappear)
  {
      this.isReappear = isReappear;
    }
  /**
   * 缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核<br>
   */
  public String getBugStatus()
  {
      return bugStatus;
    }

  /**
   * 缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核<br>
   *
   * @param bugStatus 缺陷状态：1.新建、2.打开、3.已分配、4.拒绝、5.待验证、6.处理中、7.延迟、8.已修复、9.关闭、10.无效、11.重新打开、12.挂起、13.待裁决、14.待完善、15.待分配、16.待修复、17.待审核
   */
  public void setBugStatus(String bugStatus)
  {
      this.bugStatus = bugStatus;
    }
  /**
   * 分配给，缺陷接收人<br>
   */
  public String getReceiver()
  {
      return receiver;
    }

  /**
   * 分配给，缺陷接收人<br>
   *
   * @param receiver 分配给，缺陷接收人
   */
  public void setReceiver(String receiver)
  {
      this.receiver = receiver;
    }
  /**
   * 修复时间<br>
   */
  public Date getRepairTime()
  {
      if(repairTime != null)
    {
      return (Date)repairTime.clone();
    }
    return null;
    }

  /**
   * 修复时间<br>
   *
   * @param repairTime 修复时间
   */
  public void setRepairTime(Date repairTime)
  {
      if(repairTime != null)
    {
      this.repairTime = (Date)repairTime.clone();
    }
    }
  /**
   * 修复人<br>
   */
  public String getRepairUser()
  {
      return repairUser;
    }

  /**
   * 修复人<br>
   *
   * @param repairUser 修复人
   */
  public void setRepairUser(String repairUser)
  {
      this.repairUser = repairUser;
    }
  /**
   * 关闭日期<br>
   */
  public Date getCloseTime()
  {
      if(closeTime != null)
    {
      return (Date)closeTime.clone();
    }
    return null;
    }

  /**
   * 关闭日期<br>
   *
   * @param closeTime 关闭日期
   */
  public void setCloseTime(Date closeTime)
  {
      if(closeTime != null)
    {
      this.closeTime = (Date)closeTime.clone();
    }
    }
  /**
   * 错误信息描述<br>
   */
  public String getErrorMessage()
  {
      return errorMessage;
    }

  /**
   * 错误信息描述<br>
   *
   * @param errorMessage 错误信息描述
   */
  public void setErrorMessage(String errorMessage)
  {
      this.errorMessage = errorMessage;
    }
  /**
   * 自定义字段<br>
   */
  public String getExpands()
  {
      return expands;
    }

  /**
   * 自定义字段<br>
   *
   * @param expands 自定义字段
   */
  public void setExpands(String expands)
  {
      this.expands = expands;
    }
  /**
   * 注释<br>
   */
  public String getMessage()
  {
      return message;
    }

  /**
   * 注释<br>
   *
   * @param message 注释
   */
  public void setMessage(String message)
  {
      this.message = message;
    }
  /**
   * 系统id<br>
   */
  public String getSystemId()
  {
      return systemId;
    }

  /**
   * 系统id<br>
   *
   * @param systemId 系统id
   */
  public void setSystemId(String systemId)
  {
      this.systemId = systemId;
    }
  /**
   * 轮次id<br>
   */
  public String getRoundId()
  {
      return roundId;
    }

  /**
   * 轮次id<br>
   *
   * @param roundId 轮次id
   */
  public void setRoundId(String roundId)
  {
      this.roundId = roundId;
    }
  /**
   * 模块id<br>
   */
  public String getModuleId()
  {
      return moduleId;
    }

  /**
   * 模块id<br>
   *
   * @param moduleId 模块id
   */
  public void setModuleId(String moduleId)
  {
      this.moduleId = moduleId;
    }
  /**
   * 关联用例数<br>
   */
  public Integer getCaseNum()
  {
      return caseNum;
    }

  /**
   * 关联用例数<br>
   *
   * @param caseNum 关联用例数
   */
  public void setCaseNum(Integer caseNum)
  {
      this.caseNum = caseNum;
    }
  /**
   * 项目id<br>
   */
  public String getProId()
  {
      return proId;
    }

  /**
   * 项目id<br>
   *
   * @param proId 项目id
   */
  public void setProId(String proId)
  {
      this.proId = proId;
    }
  /**
   * 创建发现人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建发现人<br>
   *
   * @param createdBy 创建发现人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx1()
  {
      return userDefinedIdx1;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx1 
   */
  public void setUserDefinedIdx1(String userDefinedIdx1)
  {
      this.userDefinedIdx1 = userDefinedIdx1;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx2()
  {
      return userDefinedIdx2;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx2 
   */
  public void setUserDefinedIdx2(String userDefinedIdx2)
  {
      this.userDefinedIdx2 = userDefinedIdx2;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx3()
  {
      return userDefinedIdx3;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx3 
   */
  public void setUserDefinedIdx3(String userDefinedIdx3)
  {
      this.userDefinedIdx3 = userDefinedIdx3;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx4()
  {
      return userDefinedIdx4;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx4 
   */
  public void setUserDefinedIdx4(String userDefinedIdx4)
  {
      this.userDefinedIdx4 = userDefinedIdx4;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx5()
  {
      return userDefinedIdx5;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx5 
   */
  public void setUserDefinedIdx5(String userDefinedIdx5)
  {
      this.userDefinedIdx5 = userDefinedIdx5;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx6()
  {
      return userDefinedIdx6;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx6 
   */
  public void setUserDefinedIdx6(String userDefinedIdx6)
  {
      this.userDefinedIdx6 = userDefinedIdx6;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx7()
  {
      return userDefinedIdx7;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx7 
   */
  public void setUserDefinedIdx7(String userDefinedIdx7)
  {
      this.userDefinedIdx7 = userDefinedIdx7;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx8()
  {
      return userDefinedIdx8;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx8 
   */
  public void setUserDefinedIdx8(String userDefinedIdx8)
  {
      this.userDefinedIdx8 = userDefinedIdx8;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx9()
  {
      return userDefinedIdx9;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx9 
   */
  public void setUserDefinedIdx9(String userDefinedIdx9)
  {
      this.userDefinedIdx9 = userDefinedIdx9;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx10()
  {
      return userDefinedIdx10;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx10 
   */
  public void setUserDefinedIdx10(String userDefinedIdx10)
  {
      this.userDefinedIdx10 = userDefinedIdx10;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx11()
  {
      return userDefinedIdx11;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx11 
   */
  public void setUserDefinedIdx11(String userDefinedIdx11)
  {
      this.userDefinedIdx11 = userDefinedIdx11;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx12()
  {
      return userDefinedIdx12;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx12 
   */
  public void setUserDefinedIdx12(String userDefinedIdx12)
  {
      this.userDefinedIdx12 = userDefinedIdx12;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx13()
  {
      return userDefinedIdx13;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx13 
   */
  public void setUserDefinedIdx13(String userDefinedIdx13)
  {
      this.userDefinedIdx13 = userDefinedIdx13;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx14()
  {
      return userDefinedIdx14;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx14 
   */
  public void setUserDefinedIdx14(String userDefinedIdx14)
  {
      this.userDefinedIdx14 = userDefinedIdx14;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx15()
  {
      return userDefinedIdx15;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx15 
   */
  public void setUserDefinedIdx15(String userDefinedIdx15)
  {
      this.userDefinedIdx15 = userDefinedIdx15;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx16()
  {
      return userDefinedIdx16;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx16 
   */
  public void setUserDefinedIdx16(String userDefinedIdx16)
  {
      this.userDefinedIdx16 = userDefinedIdx16;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx17()
  {
      return userDefinedIdx17;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx17 
   */
  public void setUserDefinedIdx17(String userDefinedIdx17)
  {
      this.userDefinedIdx17 = userDefinedIdx17;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx18()
  {
      return userDefinedIdx18;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx18 
   */
  public void setUserDefinedIdx18(String userDefinedIdx18)
  {
      this.userDefinedIdx18 = userDefinedIdx18;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx19()
  {
      return userDefinedIdx19;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx19 
   */
  public void setUserDefinedIdx19(String userDefinedIdx19)
  {
      this.userDefinedIdx19 = userDefinedIdx19;
    }
  /**
   * <br>
   */
  public String getUserDefinedIdx20()
  {
      return userDefinedIdx20;
    }

  /**
   * <br>
   *
   * @param userDefinedIdx20 
   */
  public void setUserDefinedIdx20(String userDefinedIdx20)
  {
      this.userDefinedIdx20 = userDefinedIdx20;
    }

  public Integer getOrderSeq() {
    return orderSeq;
  }

  public void setOrderSeq(Integer orderSeq) {
    this.orderSeq = orderSeq;
  }

  public BugManagement()
  {
  }

}
